<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'withdraw_settings',

    /*
     * Modules.
     */
    'modules'   => ['withdraw_settings'],

    
    'withdraw_settings'       => [
        'model' => [
            'model'                 => \Litecms\WithdrawSettings\Models\WithdrawSettings::class,
            'table'                 => 'withdraw_settings',
            'presenter'             => \Litecms\WithdrawSettings\Repositories\Presenter\WithdrawSettingsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['withdraw_status',  'withdraw_type',  'withdraw_date',  'minimum_amount',  'maximum_amount',  'admin_withdraw_fee',  'admin_withdraw_fee_type',  'withdraw_limit'],
            'translatables'         => [],
            'upload_folder'         => 'withdraw_settings/withdraw_settings',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'WithdrawSettings',
            'module'    => 'WithdrawSettings',
        ],

    ],
];
