<?php

namespace Litecms\WithdrawSettings\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class WithdrawSettingsTransformer extends TransformerAbstract
{
    public function transform(\Litecms\WithdrawSettings\Models\WithdrawSettings $withdraw_settings)
    {
        return [
            'id'                => $withdraw_settings->getRouteKey(),
            'key'               => [
                'public'    => $withdraw_settings->getPublicKey(),
                'route'     => $withdraw_settings->getRouteKey(),
            ], 
            'withdraw_status'   => $withdraw_settings->withdraw_status,
            'withdraw_type'     => $withdraw_settings->withdraw_type,
            'withdraw_date'     => $withdraw_settings->withdraw_date,
            'minimum_amount'    => $withdraw_settings->minimum_amount,
            'maximum_amount'    => $withdraw_settings->maximum_amount,
            'admin_withdraw_fee' => $withdraw_settings->admin_withdraw_fee,
            'admin_withdraw_fee_type' => $withdraw_settings->admin_withdraw_fee_type,
            'withdraw_limit'    => $withdraw_settings->withdraw_limit,
            'url'               => [
                'public'    => trans_url('withdraw_settings/'.$withdraw_settings->getPublicKey()),
                'user'      => guard_url('withdraw_settings/withdraw_settings/'.$withdraw_settings->getRouteKey()),
            ], 
            'status'            => trans('app.'.$withdraw_settings->status),
            'created_at'        => format_date($withdraw_settings->created_at),
            'updated_at'        => format_date($withdraw_settings->updated_at),
        ];
    }
}