<?php

namespace Litecms\WithdrawSettings;

use User;

class WithdrawSettings
{
    /**
     * $withdraw_settings object.
     */
    protected $withdraw_settings;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\WithdrawSettings\Interfaces\WithdrawSettingsRepositoryInterface $withdraw_settings)
    {
        $this->withdraw_settings = $withdraw_settings;
    }

    /**
     * Returns count of withdraw_settings.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.withdraw_settings.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->withdraw_settings->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\WithdrawSettingsUserCriteria());
        }

        $withdraw_settings = $this->withdraw_settings->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('withdraw_settings::' . $view, compact('withdraw_settings'))->render();
    }
}
